This is a simple python based  tutorial on gw data data analysis
you need to install pycbc
easy way to do is 
install anaconda 
here are the instructions
https://docs.anaconda.com/anaconda/install/
create a virtual env if needed 
https://conda.io/projects/conda/en/latest/user-guide/tasks/manage-environments.html#id1

Innstall pycbc https://anaconda.org/conda-forge/pycbc

You can also install lalsuite https://anaconda.org/conda-forge/lalsuite

I use jupyterlab for the example it is handy
https://anaconda.org/conda-forge/jupyterlab


